Name:           perl-MIME-Types
Version:        2.22
Release:        2
Summary:        MIME-types module in Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/MIME-Types
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKOV/MIME-Types-2.22.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(base) perl(Carp) perl(Exporter) perl(File::Basename) perl(File::Spec)
BuildRequires:  perl(Mojo::Base) perl(List::Util) perl(overload) perl(strict) perl(vars)
BuildRequires:  perl(lib) perl(Test::More) perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This package provides MIME types which are used in many applications.For instance as
part of e-mail and HTTP traffic, to indicate the type of content that is transmitted.

This object administers a huge list of known mime-types, combined from various sources.
For instance, it contains all IANA types and the knowledge of Apache. Probably the most
complete table on the net!

%package -n perl-MojoX-MIME-Types

Summary:        MIME-Types for perl Mojolicious
Requires:       perl-MIME-Types = 2.22-%{release}

%description -n perl-MojoX-MIME-Types
perl-MojoX-MIME-Types is a replacement for Mojolicious::Types.The best part is it contains
a more correct handling plus a complete list of types... a huge list of types.

%package help
Summary:        Provides help and manual docs for perl-MIME-Types and perl-MojoX-MIME-Types
Requires:       perl-MIME-Types = 2.22-%{release} perl-MojoX-MIME-Types = 2.22-%{release}

%description help
This package provides help and manual docs for perl-MIME-Types and perl-MojoX-MIME-Types

%prep
%autosetup -n MIME-Types-2.22 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc ChangeLog
%{perl_vendorlib}/MIME/

%files -n perl-MojoX-MIME-Types
%{perl_vendorlib}/MojoX/

%files help
%doc README README.md
%{_mandir}/man3/MIME::Type.3*
%{_mandir}/man3/MIME::Types.3*
%{_mandir}/man3/MojoX::MIME::Types.3*

%changelog
* Tue May 23 2023 Jia Chao <jiac13@chinaunicom.cn> - 2.22-2
- Fix: find and remove .packlist, not exclude it.

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 2.22-1
- Upgrade to version 2.22

* Thu Mar 05 2020 sunguoshuai <sunguoshuai@huawei.com> - 2.17-5
- Package init.
